Page MenuHomePhabricator

Translation pages display English even if there is translation available in close variant language.
Open, LowestPublic

Description

If a page is partially translated to pt and other part is translated to pt-BR, the user should be able to get a page with both translations, where the fallback language is presented instead of the original language (usually English).

This is how the MediaWiki interface works, and it would avoid users making identical translations to two similar languages which are fallback one of each other (en / en-GB, pt / pt-BR, etc).


URL: https://pt.wikipedia.org/w/index.php?title=Wikip%C3%A9dia:Esplanada/geral/Variantes_do_portugu%C3%AAs_na_mudan%C3%A7a_da_Pol%C3%ADtica_de_Privacidade_(4set2013)&oldid=36833106
See Also:
T50292: Add support for fallbacks on Special:MyLanguage

Details

Reference
bz53789

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 22 2014, 1:52 AM
bzimport set Reference to bz53789.
bzimport added a subscriber: Unknown Object (MLST).
He7d3r created this task.Sep 5 2013, 1:54 AM

I'm leaning towards WONTFIX for this. The "always fall back to English" scheme is predictable, getting presented with a page that has Rusyn, Ukrainian, Russian and English, or Basa Banyumasan, Javanese, Indonesian and English has in my opinion too much confusion in it. It would also mean a lot of additional code complexity at little gain, in my opinion, and documents that can potentially consist of up to 3 or 4 different languages.

I'm open to arguments in favour.

mano.queixo wrote:

(In reply to comment #1)

I'm leaning towards WONTFIX for this. The "always fall back to English"
scheme
is predictable, getting presented with a page that has Rusyn, Ukrainian,
Russian and English, or Basa Banyumasan, Javanese, Indonesian and English has
in my opinion too much confusion in it. It would also mean a lot of
additional
code complexity at little gain, in my opinion, and documents that can
potentially consist of up to 3 or 4 different languages.
I'm open to arguments in favour.

PT-PT and PT-BR are almost similar. If a reader from Brazil reads a message from Portugal, he will be able to understand. There's no "too much confusion in it", because in the portuguese Wikipedia we mix the variants, and there's no confusion. There's only one Wikipedia for the variants of portuguese, it's not the same as you told about "Javanese and Indonesian", because these two languages apparently can't be mixed, as I presume after seeing that they have two different Wikipedias for them.

Portuguese from Portugal and Portuguese from Brazil can be mixed. Portugueses, Galician and Spanish, can't. These are similar, but different languages, not variants of the same.

Qgil added a comment.Sep 18 2013, 4:00 PM

So this is about triggering a check when a XX or XX-something string is missing, searching whether strings are available in a nother XX-* variant.

Modifying the subject to make this more clear.

Should the strings using a different variant have some UI indication? Otherwise the reader might just think that some translator had no clue about e.g. how PT-BR is supposed to be written.

Well, currently a page such as
https://www.mediawiki.org/wiki/How_to_contribute/pt?oldid=778914
which is only 33% translated to Portuguese has no visual indication that parts of it are in English. It could have at least
<SomeElement lang="en">...</SomeElement>
around the English text. Similarly, this attribute could be set to the code of the variant used in a given part (<translate><!--T:123-->...</translate>) of the page. And maybe this would allow us (translators?) to add some CSS to mark the text which is not in our variant. E.g. try the code

mw.util.addCSS( ':not([lang|="en"])[lang]{ background: #FFC; }' );

in the browser console when viewing the page
https://en.wikipedia.org/wiki/Template:Lang

Nikerabbit renamed this task from Fallback to variants of the same language when they are available to Translation pages display English even if there is translation available in close variant language..Apr 20 2016, 11:05 AM
Nikerabbit updated the task description. (Show Details)
Nikerabbit removed a project: I18n.
Nikerabbit removed a subscriber: wikibugs-l-list.

I don't know if it's the same issue or we should consider it differently. A user reported in Project:Support desk having "zh-CN" as language in Special:Preferences, but Special:MyLanguage is using the default english translations instead of the /zh translation.

  • Even if we don't support fallback to zh-CN translation if zh is not available but zh-CN is, I think we should fallback to the non-variant one if it's available (in this case, fallback to zh if the user has zh-CN as their language.
  • (I don't know if this would be correct, assuming all variant conversions for some special languages can be done in MediaWiki without user intervention) Languages that have automatic "language conversion" from MediaWiki, like Chinese, could redirect to zh and also append the corresponding &variant= parameter to the URL (&variant=zh-cn in this case)

Maybe yes. Who reported it is me. But what I reported is about Special:MyLanguage, the main content is that, when my language is zh-cn, Special:MyLanguage should redirect to /zh?variant=zh-cn. Maybe your guessing it correct, but I'm not good at English...

I found the issue may be not repaired. Please check it. And, if I view a /zh translation with variant, the title may be not converted.

I accidentally found I left a comment two years ago, but this bug seems not to have been fixed for six years. It causes a great inconvenience to us who are accustomed to variant languages.